> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Demand Meters by Document

> DEPRECATED: This endpoint is now deprecated. Please refer to v2.2 for detailed demand information.



## OpenAPI

````yaml /api-reference/openapi-v2.json get /document/{document_id}/demandmeters
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.0 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2
    description: Nectar API Server
security: []
paths:
  /document/{document_id}/demandmeters:
    get:
      tags:
        - Documents
      summary: Get Demand Meters by Document
      description: >-
        DEPRECATED: This endpoint is now deprecated. Please refer to v2.2 for
        detailed demand information.
      operationId: document_demandmeters_retrieve
      parameters:
        - in: path
          name: document_id
          schema:
            type: string
            format: uuid
          description: ID of the document to retrieve.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDemandMeters'
          description: ''
        '403':
          description: 'Forbidden: Access to the document is denied.'
        '404':
          description: Document not found.
      security:
        - ExternalAuthentication: []
components:
  schemas:
    DocumentDemandMeters:
      type: object
      description: Serializer for document demand meters response.
      properties:
        totalDemandMeters:
          type: integer
          description: Total number of demand meters.
        demandMeters:
          type: array
          items:
            $ref: '#/components/schemas/DemandMeterExternal'
          description: List of demand meters.
      required:
        - demandMeters
        - totalDemandMeters
    DemandMeterExternal:
      type: object
      description: Serializer for all fields of DemandMeter, used in usage endpoints.
      properties:
        id:
          type: string
          format: uuid
          description: UUID of the meter site usage data entry.
        created:
          type: string
          format: date-time
          description: Timestamp when the meter site usage data entry was created.
        updated:
          type: string
          format: date-time
          description: Timestamp when the meter site usage data entry was last updated.
        startDate:
          type: string
          format: date
          description: Start date for the meter site usage data entry.
        endDate:
          type: string
          format: date
          description: >-
            End date for the meter site usage data entry. If not available or
            not applicable, this is set to the start date by default.
        usage:
          type: string
          description: Demand usage amount extracted from billing data.
        usageUnits:
          allOf:
            - $ref: '#/components/schemas/UsageUnitsEnum'
          description: |-
            Units for demand usage, as specified in the document

            * `J` - J
            * `Btu` - Btu
            * `MMBtu` - Mmbtu
            * `kJ` - Kj
            * `MJ` - Mj
            * `GJ` - Gj
            * `TJ` - Tj
            * `thm (EC)` - Therm Ec
            * `thm (US)` - Therm Us
            * `thm (UK)` - Therm Uk
            * `Dth (EC)` - Dth Ec
            * `Dth (US)` - Dth Us
            * `Dth (UK)` - Dth Uk
            * `Cal` - Cal
            * `kCal` - Kcal
            * `MCal` - Mcal
            * `erg` - Erg
            * `kVA` - Kva
            * `Wh` - WH
            * `kWh` - KWH
            * `MWh` - MWH
            * `GWh` - GWH
            * `ton hours` - Ton Hours
            * `W` - W
            * `KW` - Kw
            * `MW` - Mw
            * `GW` - Gw
            * `L` - L
            * `kL` - Kl
            * `ML` - Ml
            * `cubic ft` - Cubic Ft
            * `cubic yd` - Cubic Yd
            * `cubic m` - Cubic M
            * `MMCF` - Mmcf
            * `MCF` - Mcf
            * `HCF` - Hcf
            * `CF` - Cf
            * `CCF` - Ccf
            * `gal (UK)` - Gal Uk
            * `gal (US)` - Gal Us
            * `100 gal (US)` - Hundred Gal Us
            * `100 gal (UK)` - Hundred Gal Uk
            * `kgal (US)` - Kgal Us
            * `kgal (UK)` - Kgal Uk
            * `Mgal (US)` - Million Gal Us
            * `Mgal (UK)` - Million Gal Uk
            * `teu` - Teu
            * `bbl` - Bbl
            * `mbbl` - Mbbl
            * `kg` - Kg
            * `oz t` - Oz T
            * `g` - G
            * `lb` - Lb
            * `mlb` - Mlb
            * `mmlb` - Mmlb
            * `tons (US)` - Tons
            * `sh ton` - Sh Ton
            * `metric ton` - Metric Ton
            * `tonne` - Tonne
            * `long tn` - Long Tn
            * `km` - Km
            * `mi` - Mi
            * `m` - M
            * `cm` - Cm
            * `mm` - Mm
            * `nm` - Nm
            * `yd` - Yd
            * `ft` - Ft
            * `in` - In
        isEstimated:
          type: boolean
          description: Indicates if the usage data is estimated by the utility company.
        serviceAddress:
          type: string
          description: >-
            Address of the service location associated with the demand usage
            data.
        meter:
          type:
            - string
            - 'null'
          description: >-
            Id of the matching meter associated with the demand usage data. For
            uploaded documents, field may be empty if no matching meter is
            found.
        site:
          allOf:
            - $ref: '#/components/schemas/SiteSkeletonSerializerV2'
          description: Site matched with the demand usage data.
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierSkeletonSerializerV2'
          description: Identifiers associated with the meter.
        timeOfUse:
          description: >-
            [ELECTRICITY] DEPRECATED — always null. Use timeOfUseBreakdown
            instead.
          oneOf:
            - $ref: '#/components/schemas/TimeOfUseEnum'
            - $ref: '#/components/schemas/NullEnum'
      required:
        - created
        - endDate
        - id
        - identifiers
        - meter
        - serviceAddress
        - site
        - startDate
        - timeOfUse
        - usage
        - usageUnits
    UsageUnitsEnum:
      enum:
        - J
        - Btu
        - MMBtu
        - kJ
        - MJ
        - GJ
        - TJ
        - thm (EC)
        - thm (US)
        - thm (UK)
        - Dth (EC)
        - Dth (US)
        - Dth (UK)
        - Cal
        - kCal
        - MCal
        - erg
        - kVA
        - Wh
        - kWh
        - MWh
        - GWh
        - ton hours
        - W
        - KW
        - MW
        - GW
        - L
        - kL
        - ML
        - cubic ft
        - cubic yd
        - cubic m
        - MMCF
        - MCF
        - HCF
        - CF
        - CCF
        - gal (UK)
        - gal (US)
        - 100 gal (US)
        - 100 gal (UK)
        - kgal (US)
        - kgal (UK)
        - Mgal (US)
        - Mgal (UK)
        - teu
        - bbl
        - mbbl
        - kg
        - oz t
        - g
        - lb
        - mlb
        - mmlb
        - tons (US)
        - sh ton
        - metric ton
        - tonne
        - long tn
        - km
        - mi
        - m
        - cm
        - mm
        - nm
        - yd
        - ft
        - in
      type: string
      description: |-
        * `J` - J
        * `Btu` - Btu
        * `MMBtu` - Mmbtu
        * `kJ` - Kj
        * `MJ` - Mj
        * `GJ` - Gj
        * `TJ` - Tj
        * `thm (EC)` - Therm Ec
        * `thm (US)` - Therm Us
        * `thm (UK)` - Therm Uk
        * `Dth (EC)` - Dth Ec
        * `Dth (US)` - Dth Us
        * `Dth (UK)` - Dth Uk
        * `Cal` - Cal
        * `kCal` - Kcal
        * `MCal` - Mcal
        * `erg` - Erg
        * `kVA` - Kva
        * `Wh` - WH
        * `kWh` - KWH
        * `MWh` - MWH
        * `GWh` - GWH
        * `ton hours` - Ton Hours
        * `W` - W
        * `KW` - Kw
        * `MW` - Mw
        * `GW` - Gw
        * `L` - L
        * `kL` - Kl
        * `ML` - Ml
        * `cubic ft` - Cubic Ft
        * `cubic yd` - Cubic Yd
        * `cubic m` - Cubic M
        * `MMCF` - Mmcf
        * `MCF` - Mcf
        * `HCF` - Hcf
        * `CF` - Cf
        * `CCF` - Ccf
        * `gal (UK)` - Gal Uk
        * `gal (US)` - Gal Us
        * `100 gal (US)` - Hundred Gal Us
        * `100 gal (UK)` - Hundred Gal Uk
        * `kgal (US)` - Kgal Us
        * `kgal (UK)` - Kgal Uk
        * `Mgal (US)` - Million Gal Us
        * `Mgal (UK)` - Million Gal Uk
        * `teu` - Teu
        * `bbl` - Bbl
        * `mbbl` - Mbbl
        * `kg` - Kg
        * `oz t` - Oz T
        * `g` - G
        * `lb` - Lb
        * `mlb` - Mlb
        * `mmlb` - Mmlb
        * `tons (US)` - Tons
        * `sh ton` - Sh Ton
        * `metric ton` - Metric Ton
        * `tonne` - Tonne
        * `long tn` - Long Tn
        * `km` - Km
        * `mi` - Mi
        * `m` - M
        * `cm` - Cm
        * `mm` - Mm
        * `nm` - Nm
        * `yd` - Yd
        * `ft` - Ft
        * `in` - In
    SiteSkeletonSerializerV2:
      type: object
      description: Skeleton serializer for externally available fields of a Site object.
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the site.
        externalId:
          type:
            - string
            - 'null'
          description: >-
            ID of the site on external platforms used during exports. Used to
            associate site in Nectar with site within your database.
        name:
          type: string
          description: Name of the site.
          maxLength: 255
        address:
          type: string
          description: Address of the site.
          maxLength: 255
        path:
          type: array
          items:
            type: string
            maxLength: 100
          description: >-
            List of location tags in increasing specificity used to filter
            sites. Filters must be entered from more general to more specific.
            E.g. ['US', 'CA', 'ON']
          maxItems: 10
        occupancyPercent:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,4})?$
          description: >-
            Occupancy percent, must be a number from 0 to 100. Usage for the
            site will be multiplied by this value for specified connections.
        occupancyApplicationMode:
          allOf:
            - $ref: '#/components/schemas/OccupancyApplicationModeEnum'
          description: >-
            Controls how occupancy percent is applied to usage data. ALL applies
            to all data on this site regardless of connection settings.
            PER_CONNECTION applies only to connections with the occupancy
            override enabled. DISABLED means occupancy is never applied
            regardless of connection settings.


            * `DISABLED` - Disabled

            * `ALL` - All

            * `PER_CONNECTION` - Per Connection
        dataCollectionStopDate:
          type:
            - string
            - 'null'
          format: date
          description: >-
            Date when data collection for this site was stopped. A non-null
            value indicates the site has been soft-deleted/archived.
      required:
        - dataCollectionStopDate
        - id
        - name
    IdentifierSkeletonSerializerV2:
      type: object
      description: Serializer for all fields of Identifier, used in usage endpoints.
      properties:
        name:
          type:
            - string
            - 'null'
          description: Name of the identifier.
        rawName:
          type: string
          description: Raw name of the identifier as found in the document.
          maxLength: 200
        value:
          type: string
          description: Value of the identifier.
          maxLength: 200
      required:
        - rawName
        - value
    TimeOfUseEnum:
      enum:
        - PEAK
        - OFF_PEAK
        - SHOULDER_MIDPEAK
        - NIGHT_TIME
        - DAY_TIME
        - SUPER_OFF_PEAK
        - CRITICAL_PEAK
        - WEEKDAY
        - WEEKEND
        - OTHER
      type: string
    NullEnum:
      type: 'null'
    OccupancyApplicationModeEnum:
      enum:
        - DISABLED
        - ALL
        - PER_CONNECTION
      type: string
      description: |-
        * `DISABLED` - Disabled
        * `ALL` - All
        * `PER_CONNECTION` - Per Connection
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````